Library Version 18.1.40

DB_SEQUENCE->get_cachesize()
Prev | Chapter 11. The DB_SEQUENCE Handle | Next

## DB_SEQUENCE->get_cachesize()

    #include <db.h>

    int
    DB_SEQUENCE->get_cachesize(DB_SEQUENCE *seq, u_int32_t *sizep);

The `DB_SEQUENCE->get_cachesize()` method returns the current cache size.

The `DB_SEQUENCE->get_cachesize()` method may be called at any time during the life of the application.

The `DB_SEQUENCE->get_cachesize()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### sizep

The `DB_SEQUENCE->get_cachesize()` method returns the current cache size in sizep.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods

Prev | Up | Next
DB_SEQUENCE->get() | Home | DB_SEQUENCE->get_dbp()